import React from 'react';
import { Upload, Icon, message } from 'antd';
import './style.less';

class ImageUpload extends React.Component {
  state = {
    loading: false
  };

  handleChange = info => {
    if (info.file.status === "uploading") {
      this.setState({ loading: true });
      return;
    }

    if (info.file.status === "done") {
      const imageUrl = info.response.url

      this.setState({
        loading: false
      })

      this.props.onChange(imageUrl)
    }
  };

  render () {
    const uploadButton = (
      <div>
        <Icon style={{ fontSize: '2em', color: '#aaa' }} type={this.state.loading ? "loading" : "plus"} />        
      </div>
    );

    const value = this.props.value;

    return (
      <Upload
        name="avatar"
        listType="picture-card"
        className="avatar-uploader"
        showUploadList={false}
        action={this.props.action}
        beforeUpload={this.props.beforeUpload}
        onChange={this.handleChange}
      >
        {value ? (
          <img src={value} alt="avatar" style={{ width: "100%" }} />
        ) : (
          uploadButton
        )}
      </Upload>
    );
  }
}

export default ImageUpload;
