import React from 'react';
import { Input, Button, Row, Col, Form, Alert } from 'antd';
import router from 'umi/router';
import Styles from './style.less';
import request from '../../../utils/request';
import apis from '../../../services/apis';

function body(props) {
  const { getFieldDecorator } = props.form;

  console.log('id: ', props.location.query.id)

  function handleSubmit(e) {
    e.preventDefault();
    props.form.validateFields((err, values) => {
      if (!err) {
        // 提交数据
        values.status = 1
        values.createDate = new Date()
        submitData(values)
      }
    });
  }

  function submitData(data) {
    request({ ...apis.buildingType.add, data: { ...data } }).then(() => {
      // eslint-disable-next-line no-unused-expressions
      <Alert
        style={{
          marginBottom: 24,
        }}
        message="操作成功"
        type="success"
        showIcon
      />
      router.go(-1)
    }).catch(err => {
      // eslint-disable-next-line no-unused-expressions
      <Alert
        style={{
          marginBottom: 24,
        }}
        message={ err }
        type="err"
        showIcon
      />
    })
  }

  return (
    <>
        <Form onSubmit={handleSubmit} style={{ width: '500px', margin: 'auto' }}>
          <Form.Item>
            {getFieldDecorator('buildingTypeName', {
              rules: [{ required: true, message: '请输入名称' }],
            })(
              <Input
                placeholder="名称"
              />,
            )}
          </Form.Item>
          <Form.Item style={{ display: 'flex', justifyContent: 'space-between' }}>
            <Button type="primary" htmlType="submit" className={ Styles.addButton } style={{ margin: '0' }}>
              确定
            </Button>
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <Button onClick={() => router.go(-1)}>
              取消
            </Button>
          </Form.Item>
        </Form>
    </>
  )
}

const WrappedBuidingTypeForm = Form.create({ name: 'body' })(body);

export default WrappedBuidingTypeForm
