import React from 'react';
import { Form, Input, Button, Icon, Tabs, Row, Col, Table } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import styles from '../style/GoodsList.less';
import router from 'umi/router';


const { TabPane } = Tabs;
function callback(key) {
  console.log(key);
}

/**
 *
 *
 * @param {*} props
 * @returns
 */
const dataSource = [
  {
    key: '1',
    img: 'http://img0.imgtn.bdimg.com/it/u=4246326797,2657995307&fm=26&gp=0.jpg',
    name: '华为P30 Pro',
  },
  {
    key: '2',
    img: '',
    name: '大米',
  },
];

const columns = [
  {
    title: '类型',
    dataIndex: 'type',
    key: 'type',
    align: 'center',
  },
  {
    title: '获取积分',
    dataIndex: 'intergral',
    key: 'intergral',
    align: 'center',
  },
  {
    title: '状态',
    dataIndex: 'state',
    key: 'state',
    align: 'center',
  },
  {
    title: '说明',
    dataIndex: 'desc',
    key: 'desc',
    align: 'center',
  },
  {
    title: '操作时间',
    dataIndex: 'time',
    key: 'time',
    align: 'center',
  },
  {
    title: '操作',
    dataIndex: 'handle',
    key: 'handle',
    align: 'center',
    render: () => <><span style={{ color: '#EF273A', marginRight: '20px' }} >停用<Icon type="stop" className={styles.shoppingCart} /></span><span style={{ color: '#EF273A', marginRight: '20px' }} >启用<Icon type="check-circle" className={styles.shoppingCart} /></span><span style={{ color: '#FF925C' }}>编辑<Icon type="form" className={styles.edit} /></span></>,
  },

];


function header(props) {
  const { getFieldDecorator } = props.form
  return (
    <>
      <Tabs onChange={callback} type="card">
        <TabPane tab="平台积分" key="1">
          <Table style={{ marginTop: '40px' }} dataSource={dataSource} columns={columns} />
        </TabPane>
        <TabPane tab="项目积分" key="2">
          <Table style={{ marginTop: '40px' }} dataSource={dataSource} columns={columns} />
        </TabPane>
      </Tabs>,
    </>
  )
}
const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader
