import React from 'react';
import { Form, Input, Button, Icon, Tabs, Row, Col } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import styles from '../style/GoodsList.less';
import router from 'umi/router';
import erweima from '../../assets/erweima.png';
import saoma from '../../assets/saoma.png';
import list from '../../assets/list.png';

const { TabPane } = Tabs;
function callback(key) {
  console.log(key);
}

/**
 *
 *
 * @param {*} props
 * @returns
 */

function header(props) {
  const { getFieldDecorator } = props.form
  return (
    <>
      <Tabs onChange={callback} type="card">
        <TabPane tab="扫码核销" key="1">
          <Row>
            <Col span={8} style={{ textAlign: 'center' }}>
              <img src={erweima} style={{ width: '50px', height: '50px', margin: '30px auto' }} />
              <p>1</p>
              <p>请用户出示核销的二维码</p>
              <p>请将网页输入法切换成英文</p>
            </Col>
            <Col span={8} style={{ textAlign: 'center' }}>
              <img src={saoma} style={{ width: '50px', height: '50px', margin: '30px auto' }} />
              <p>2</p>
              <p>点击“立即核销”按钮</p>
              <p>使用扫码枪扫描客户二维码</p>
            </Col>
            <Col span={8} style={{ textAlign: 'center' }}>
              <img src={list} style={{ width: '50px', height: '50px', margin: '30px auto' }} />
              <p>3</p>
              <p style={{ margin: '44px auto' }}>根据提示进行核销操作</p>
            </Col>
          </Row>
          <Button type="primary" style={{ margin: '80px auto', display: 'block', padding: '6px 46px', backgroundColor: '#EA2323', border: 'none' }}>立即核销</Button>
        </TabPane>
        <TabPane tab="手机号核销" key="2">
          <Row>
            <Col span={12} style={{ textAlign: 'center' }}>
              <img src={erweima} style={{ width: '50px', height: '50px', margin: '30px auto' }} />
              <p>1</p>
              <p>请输入用户的手机号</p>
            </Col>
            <Col span={12} style={{ textAlign: 'center' }}>
              <img src={list} style={{ width: '50px', height: '50px', margin: '30px auto' }} />
              <p>2</p>
              <p>点击“立即核销”按钮</p>
            </Col>
          </Row>
          <div style={{ margin: '110px auto', display: 'block',textAlign:'center' }}>
            <Input placeholder="请输入手机号" style={{width:'200px'}} />
            <Button type="primary" style={{marginLeft:'10px', padding: '6px 46px', backgroundColor: '#EA2323', border: 'none' }}>立即核销</Button>
          </div>
        </TabPane>
      </Tabs>,
    </>
  )
}
const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader
