import React from 'react';
import { Form, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal,Breadcrumb } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import styles from './style.less';
import router from 'umi/router';

const { Option } = Select;
// 提交事件
function handleSubmit(e, props) {
  e.preventDefault();
  props.form.validateFields((err, values) => {
    if (!err) {
      console.log('提交数据: ', values)
    }
  });
}
// Change 事件
function handleSelectChange(props) {
  console.log(props)
}

// 分页
function onChange(pageNumber) {
  console.log('Page: ', pageNumber);
}

// 跳转到编辑商品
function toEditGoods() {
  router.push({
    pathname: '/integralMall/editGoods',
    query: {
      a: 'b',
    },
  });
}

/**
 *
 *
 * @param {*} props
 * @returns
 */

const dataSource = [
  {
    key: '1',
    img: 'http://img0.imgtn.bdimg.com/it/u=4246326797,2657995307&fm=26&gp=0.jpg',
    name: '华为P30 Pro',
  },
  {
    key: '2',
    img: '',
    name: '大米',
  },
];

const columns = [
  {
    title: '类型图片',
    dataIndex: 'img',
    key: 'img',
    align: 'center',
    render: (text, record) => <img src={record.img} className={styles.touxiang} />,
  },
  {
    title: '名称',
    dataIndex: 'name',
    key: 'name',
    align: 'center',

  },
  {
    title: '操作',
    dataIndex: 'handle',
    key: 'handle',
    align: 'center',
    render: () => <>
    <span style={{ color: '#1990FF', marginRight: '20px' }} onClick={confirm}>删除<Icon type="shopping-cart" className={styles.shoppingCart} /></span>
    <span style={{ color: '#FF925C' }} onClick={toEditGoods}>编辑<Icon type="form" className={styles.edit} /></span></>,
  },
];
function confirm() {
  Modal.confirm({
    title: '确认删除该类型？',
    okText: '确认',
    cancelText: '取消',
    onOk() {
      console.log('OK');
    },
    onCancel() {
      console.log('Cancel');
    },
  });

}
function header(props) {
  const { getFieldDecorator } = props.form
  return (

    <>
      <Form layout="inline" onSubmit={e => handleSubmit(e, props)}>
        <Form.Item>
          {getFieldDecorator('goodState')(
            <Select style={{ width: '180px' }} placeholder="请选择" onChange={handleSelectChange}>
              <Option value="1">上架</Option>
              <Option value="0">下架</Option>
            </Select>,
          )}
        </Form.Item>
      </Form>
      <Button type="primary" className={styles.addBtn} onClick={toEditGoods}>新增</Button>
      <Table dataSource={dataSource} columns={columns} />
    </>
  )
}
const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader
